Subject: Re: bug#12191: 24.1.50; Error getf is not a valid place expression

From: Ivan Kanis <[email-masked]>
Date: Mon, 13 Aug 2012 20:26:46 +0200

Glenn Morris <[email-masked]> wrote:

>> It's a regression as it works fine with 24.1.
>
> No it doesn't. Compiling it produces a warning:
>
> In end of data:
> foo.el:14:1:Warning: the following functions are not known to be defined:
>   reduce, copy-list, setf, getf
>
> and running it gives the expected error about those functions being
> void.
>

OK I haven't worded this properly. I shouldn't have said "it works". The
regression is that the behavior is different in 24.1 and bzr. I ignore
warnings but stop on error.
-- 
Ivan Kanis
http://ivan.kanis.fr

Simple can be harder than complex. You have to work hard to get your
thinking clean to make it simple. But it's worth it in the end because
once you get there, you can move mountains. 
    -- Steve Jobs